# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain.migration
Class Rfc822Msg

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.appsforyourdomain.migration.Rfc822Msg

All Implemented Interfaces:
  Extension

    public class Rfc822Msg

extends ValueConstruct

Google Apps name space element: `<apps:rfc822Msg>`. Used to model the contents of a mail message from a legacy email platform.

Nested Class Summary
`static class` `Rfc822Msg.Encoding` A method by which mail may be encoded.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `ATTRIBUTE_ENCODING`
`static java.lang.String` `EXTENSION_LOCAL_NAME`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Rfc822Msg()` Creates a new Rfc822Msg with the rfc822Msg text set to null and no encoding.
`Rfc822Msg(java.lang.String msg)` Creates a new Rfc822Msg object with the specified text and no encoding.
`Rfc822Msg(java.lang.String msg, Rfc822Msg.Encoding encoding)` Creates a new Rfc822Msg object with the specified text and encoding.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`static ExtensionDescription` `getDefaultDescription()`
`Rfc822Msg.Encoding` `getEncoding()`
`java.lang.String` `getMsg()`
`int` `hashCode()`
`void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.

Methods inherited from class com.google.gdata.data.ValueConstruct
`generate, getHandler, getValue, hasValue, isRequired, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXTENSION_LOCAL_NAME

    public static final java.lang.String EXTENSION_LOCAL_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_ENCODING

    public static final java.lang.String ATTRIBUTE_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### Rfc822Msg

    public Rfc822Msg()

  Creates a new Rfc822Msg with the rfc822Msg text set to null and no encoding.

### Rfc822Msg

    public Rfc822Msg(java.lang.String msg)

  Creates a new Rfc822Msg object with the specified text and no encoding.

  Parameters:
    `msg` - the RFC822 text

### Rfc822Msg

    public Rfc822Msg(java.lang.String msg,
                     Rfc822Msg.Encoding encoding)

  Creates a new Rfc822Msg object with the specified text and encoding.

  Parameters:
    `msg` - the RFC822 text
    `encoding` - the `Rfc822Msg.Encoding` of this message

Method Detail

### getMsg

    public java.lang.String getMsg()

  Returns:
    the rfc822Msg text

### getEncoding

    public Rfc822Msg.Encoding getEncoding()

  Returns:
    the `Rfc822Msg.Encoding` of this message

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `ValueConstruct`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### putAttributes

    public void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `ValueConstruct`
  Parameters:
    `generator` - attribute generator

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ValueConstruct`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ValueConstruct`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()